Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Videos

Create a video
Deprecated
videos.create(**kwargs) -> Video
POST
/videos
Create a character
Deprecated
videos.create_character(**kwargs) -> VideoCreateCharacterResponse
POST
/videos/characters
Delete a video
Deprecated
videos.delete(video_id) -> VideoDeleteResponse
DELETE
/videos/{video_id}
Download video content
Deprecated
videos.download_content(video_id, **kwargs) -> BinaryResponseContent
GET
/videos/{video_id}/content
Create a video edit
Deprecated
videos.edit(**kwargs) -> Video
POST
/videos/edits
Create a video extension
Deprecated
videos.extend(**kwargs) -> Video
POST
/videos/extensions
Retrieve a character
Deprecated
videos.get_character(character_id) -> VideoGetCharacterResponse
GET
/videos/characters/{character_id}
List videos
Deprecated
videos.list(**kwargs) -> SyncConversationCursorPage[Video]
GET
/videos
Create a video remix
Deprecated
videos.remix(video_id, **kwargs) -> Video
POST
/videos/{video_id}/remix
Retrieve a video
Deprecated
videos.retrieve(video_id) -> Video
GET
/videos/{video_id}
Models
class ImageInputReferenceParam: …
class Video: …

Structured information describing a generated video job.

class VideoCreateCharacterResponse: …
class VideoCreateError: …

An error that occurred while generating the response.

class VideoDeleteResponse: …

Confirmation payload returned after deleting a video.

class VideoGetCharacterResponse: …
Union[str, Literal["sora-2", "sora-2-pro", "sora-2-2025-10-06", 2 more]]
Literal["4", "8", "12"]
Literal["720x1280", "1280x720", "1024x1792", "1792x1024"]